package com.salpa.subject.mapper;

import com.salpa.subject.domain.MonitorDataSourceProperty;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * @author zhuff
 */
@Mapper
public interface DataSourcePropertyMapper {

    void addDataSourceProperty(MonitorDataSourceProperty property);

    List<Map<String ,Object>> selectPropertyBySourceId(Integer dataSourceId);

    void updateDataSourceProperty(MonitorDataSourceProperty monitorDataSourceProperty);

    void deleteDataSourceProperty(Integer dataSourceId);
}
